/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { WebPivotConfigurationChangeDetailDescriptionMetadata } from "./WebPivotConfigurationChangeDetailDescriptionMetadata";
import { WebPivotConfigurationChangeEventArgsDescription } from "./WebPivotConfigurationChangeEventArgsDescription";
/**
 * @hidden
 */
var WebPivotConfigurationChangeEventArgsDescriptionMetadata = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WebPivotConfigurationChangeEventArgsDescriptionMetadata, _super);
    function WebPivotConfigurationChangeEventArgsDescriptionMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    WebPivotConfigurationChangeEventArgsDescriptionMetadata.b = function (a) {
        if (WebPivotConfigurationChangeEventArgsDescriptionMetadata.a == null) {
            WebPivotConfigurationChangeEventArgsDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
            WebPivotConfigurationChangeEventArgsDescriptionMetadata.c(WebPivotConfigurationChangeEventArgsDescriptionMetadata.a);
        }
        if (a.k(WebPivotConfigurationChangeEventArgsDescriptionMetadata.a)) {
            return;
        }
        a.ab(WebPivotConfigurationChangeEventArgsDescriptionMetadata.a);
        WebPivotConfigurationChangeDetailDescriptionMetadata.d(a);
    };
    WebPivotConfigurationChangeEventArgsDescriptionMetadata.c = function (a) {
        a.item("__qualifiedNameTS", "String:PivotConfigurationChangeEventArgs");
        a.item("Detail", "ExportedType:WebPivotConfigurationChangeDetail");
    };
    WebPivotConfigurationChangeEventArgsDescriptionMetadata.d = function (a) {
        WebPivotConfigurationChangeEventArgsDescriptionMetadata.b(a);
        a.ad("WebPivotConfigurationChangeEventArgs", function () { return new WebPivotConfigurationChangeEventArgsDescription(); });
        a.ac("WebPivotConfigurationChangeEventArgs", WebPivotConfigurationChangeEventArgsDescriptionMetadata.a);
    };
    WebPivotConfigurationChangeEventArgsDescriptionMetadata.$t = markType(WebPivotConfigurationChangeEventArgsDescriptionMetadata, 'WebPivotConfigurationChangeEventArgsDescriptionMetadata');
    WebPivotConfigurationChangeEventArgsDescriptionMetadata.a = null;
    return WebPivotConfigurationChangeEventArgsDescriptionMetadata;
}(Base));
export { WebPivotConfigurationChangeEventArgsDescriptionMetadata };
